var leds = [0,1,3,7,15,31,63,127,1,3,7,15,31,63,127];
var count = 0;
var ledout = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
 
function clear(){
    for (var i=0;i<64;i++){
       ledout[i]=0
    }
    outlet(0, 240, 0, 1, 97, 4, 31,ledout,247);
}

//ring#, starting at 1, going down in columns; v is 0-1 value to fill the ring
function list(r,v){
    //each encoder takes 2 bites
    var index=(r-1)*2;
    //make it an int so we can get values from the lookup table
    var ringval = Math.floor(v*14);
    //we have to split the ring across 2 bytes:
    var byteno = ringval>=8;
    //set both bytes with a bit of trickery with byteno, avoiding an if/else statement:
    ledout[index]=leds[ringval*(1-byteno)]+(byteno*127); 
    ledout[index+1]=leds[ringval*byteno]; 
    //output the string:
    outlet(0, 240, 0, 1, 97, 4, 31,ledout,247);
}

function all(v){
    outlet(0, 240, 0, 1, 97, 4, 31);
    for (var i=0;i<64;i++){
        outlet(0,v*127)
    }
    outlet(0,247);
}